Create Amenity: Entrata
POST
https://api.propexo.com/v1/amenities/entrata/| Method |
|---|
| propertyunits/sendAmenities |
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
property_idstringrequired
The Propexo unique identifier for the property
unit_idstring
The Propexo unique identifier for the unit
namestring
The name associated with the amenity
descriptionstring
Description of the amenity
is_publishedboolean
Whether the amenity should be published
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
property_idstringrequired
The Propexo unique identifier for the property
unit_idstring | nullnullablerequired
The Propexo unique identifier for the unit
namestring | nullnullablerequired
The name associated with the amenity
descriptionstring | nullnullablerequired
Description of the amenity
is_publishedboolean | nullnullablerequired
Whether the amenity should be published
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/amenities/entrata/
curl -X POST https://api.propexo.com/v1/amenities/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"name": "string",
"description": "string",
"is_published": true
}
}